Subject: Re: [lojban] speech recognition

From: Pierre Abbat <[email-masked]>
Date: Fri, 20 Dec 2002 20:51:02 -0500

On Friday 20 December 2002 20:10, "eerotorri wrote:
> Hi (yes, I'm new to this list),
>
> I'm investigating if lojban would be the thing that I should invest
> some of my time. I'm planning to use the fine speech recognition
> package of
>
> http://www.speech.cs.cmu.edu/sphinx/
>
> teach it to understand lojban and hook this up to CMUCL to parse
> things and produce a nice, extensible and robust command language for
> computers.(Why, perhaps you could call me a geek :-)
>
> Now, I'd like to hear your opinion if this is something that already
> exists in some form or if there would be an easier way without
> learning lojban and instead do X
>
> Other thing is that I saw in some document a note that lojban should
> be easy to recognize with the speech recognition algorithms. Has this
> been tested or has the set of phonemes been somehow selected from
> statistical information to be optimally distributed in the recognition
> space?
>
> If my question makes no sense to you it might be because I'm not
> actually a specialist in languages nor in speech recognition
> technology but rather a programmer.

There has been some work toward synthesis of Lojban speech. You may want to 
look at the list of phones used for that.

I am currently revising and attempting to prove the validity of the valfendi 
algorithm. So far I have a program that lexes cmene and cmavo; I still have 
brivla to work on, and there are some complicated rules. One small phoneme 
change can turn a validly lexed word into gibberish or another valid word. 
Some examples:

/varKIClafLO'i/ is lexed as either an error {varkicla *flo'i} or the correct 
{varkiclaflo'i} "hovercraft" (I'm not sure which, since I haven't programmed 
that part of the algorithm yet, but there is some provision for guessing 
secondary stress). /varKIClafLOxi/ is lexed as the meaningless {varkicla 
floxi}.

/noltroNI'u/ and /noltruNI'u/ are both valid words. Both appear in Alice in 
Wonderland. The Duchess is called the first and the Queen the second.

phma